Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins
Interface GrailsPluginInfo

All Known Subinterfaces:
  GrailsPlugin

All Known Implementing Classes:
  AbstractGrailsPlugin, BasicGrailsPluginInfo, DefaultGrailsPlugin

    public interface GrailsPluginInfo

Base interface that just contains information about a particular plugin.

Since:
  1.3
Author:
  Graeme Rocher

Field Summary
`static String` | `NAME` The name of the plugin
`static String` | `TRAILING_NAME` Defines the convention that appears within plugin class names
`static String` | `VERSION` Defines the name of the property that specifies the plugin version

Method Summary
`Resource` | `getDescriptor()` Returns the location of the Resource that represents the plugin descriptor (the *GrailsPlugin.groovy file)
`String` | `getFullName()`
`String` | `getName()`
`Resource` | `getPluginDir()`
`Map` | `getProperties()`
`String` | `getVersion()`

Field Detail

### TRAILING_NAME

    static final String TRAILING_NAME

  Defines the convention that appears within plugin class names

  See Also:
    Constant Field Values

### NAME

    static final String NAME

  The name of the plugin

  See Also:
    Constant Field Values

### VERSION

    static final String VERSION

  Defines the name of the property that specifies the plugin version

  See Also:
    Constant Field Values

Method Detail

### getName

    String getName()

  Returns:
    The name of the plug-in

### getVersion

    String getVersion()

  Returns:
    The version of the plug-in

### getFullName

    String getFullName()

  Returns:
    The full name of the plugin including version

### getDescriptor

    Resource getDescriptor()

  Returns the location of the Resource that represents the plugin descriptor (the *GrailsPlugin.groovy file)

  Returns:
    The resource

### getPluginDir

    Resource getPluginDir()

  Returns:
    The directory where the plugin exists or null if it cannot be read

### getProperties

    Map getProperties()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD